<nz-modal [nzTitle]="data.id?'编辑部门':'新建部门'" [nzVisible]="isVisible" (nzOnCancel)="close()"
    [nzOkLoading]="loading" [nzCancelLoading]="loading" [nzOkDisabled]="!data.name"
    (nzOnOk)="onOk()">
    <ng-template nzModalContent>
        <div>
            <app-input label="名字" [(value)]="data.name"></app-input>
        </div>
        <div style="margin-top: 5px;">
            <app-department-select [(value)]="data.parent_id" [disabledID]="data.id"></app-department-select>
        </div>
    </ng-template>
</nz-modal>